## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csplugincommon/particlesys/particle.h File Reference

Particle system. More...

`#include "csextern.h"`
`#include "csgfx/shadervarcontext.h"`
`#include "cstool/framedataholder.h"`
`#include "cstool/meshobjtmpl.h"`
`#include "cstool/rendermeshholder.h"`
`#include "csutil/cscolor.h"`
`#include "csutil/dirtyaccessarray.h"`
`#include "csutil/weakref.h"`
`#include "iengine/lightmgr.h"`
`#include "imesh/partsys.h"`
`#include "ivideo/rendermesh.h"`

Go to the source code of this file.

## Classes

class | csNewParticleSystem
| This is an abstract implementation of a particle system mesh object. More...
struct | csNewParticleSystem::PerFrameData

## Variables

const int | CS_PARTICLE_ALIGN_Y = 512
| use the y axis for alignment instead of x
const int | CS_PARTICLE_AUTODELETE = 1
| flag value to indicate that the system should be deleted when all particles are gone.
const int | CS_PARTICLE_AXIS = 8
| enable axis alignment (screen alignment otherwise)
const int | CS_PARTICLE_ROTATE = 4
| enable particle rotation
const int | CS_PARTICLE_SCALE = 2
| enable particle scaling

## Detailed Description

Particle system.

Definition in file particle.h.